mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Serialization.IDeserializationCallback System.Runtime.Serialization.ISerializable This class handle X.509 certificates (version 1, 2 and 3). However in most cases, except for , no validation of the integrity nor the validity of the certificate is done. The structure of an X.509 certificate is detailled in the document "Internet X.509 Public Key Infrastructure Certificate and CRL Profile" ().

There are some compatibility issues with this class. Microsoft's original class do not support other format except ASN.1 DER encoded certificates, but the mono's implementation support both, ASN.1 DER and PEM format. Developers should take care about this behavior when porting their application to both the .NET and mono platforms.

- Constructor
  To be added.
  To be added.
  2.0.0.0
- Constructor
  A byte array containing a single ASN.1 DER or PEM encoded X.509 certificate (see Remarks below).
  Construct an X509Certificate object from an array of bytes.
  Privacy Enhanced Mail (PEM), a.k.a Base64, encoded certificates aren't supported by this constructor (in Microsoft genuine libraries). However, mono's implementation supports PEM and DER encoded format.
  1.0.5000.0
  2.0.0.0
- Constructor
  Pointer to a CryptoAPI certificate context (PCERT_CONTEXT).
  Construct an X509Certificate object from an CryptoAPI certificate context.
  As CryptoAPI is only available on Windows this contructor is of limited use.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added: an object of type 'X509Certificate'
  Create a new X509Certificate copy from an existing X509Certificate object.
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  2.0.0.0
- Method
  System.Security.Cryptography.X509Certificates.X509Certificate `` To be added: an object of type 'string' Create a new X509Certificate object from the specified file. To be added: an object of type 'X509Certificate' Privacy Enhanced Mail (PEM), a.k.a Base64, encoded certificates aren't supported by this method. 1.0.5000.0 2.0.0.0
- Method
  System.Security.Cryptography.X509Certificates.X509Certificate `` To be added: an object of type 'string' Create a new X509Certificate instance from an Authenticode(tm) signed file. To be added: an object of type 'X509Certificate' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  System.Boolean `` To be added. To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` To be added. To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  System.Byte[] `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Byte[] `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  System.Byte[] Return a unique hash value for the certificate as an array of bytes. Return the SHA1 hash of the complete certificate in a byte array. This is similar to the thumbprint used in many certificate viewers. 1.0.5000.0 2.0.0.0
- Method
  System.String Return a unique hash value for the certificate as an hexadecimal string. Return the SHA1 hash of the complete certificate in a string. This is similar to the thumbprint used in many certificate viewers. 1.0.5000.0 2.0.0.0
- Method
  System.String To be added To be added: an object of type 'string'

  The returned is local date/time.

  Fx 1.x has a bug where the local time returned is *always* in the Seattle time zone. This is fixed in Fx 2.0.

  The method return null if the certificate was created from an Authenticode(r) signature. This can be the case for certificates created using . The timestamp associated with the signature is the guarantee that the certificate was valid at the time of signing (hence it's validity period being hidden).

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added To be added: an object of type 'string'

  The returned is local date/time.

  Fx 1.x has a bug where the local time returned is *always* in the Seattle time zone. This is fixed in Fx 2.0.

  The method return null if the certificate was created from an Authenticode(r) signature. This can be the case for certificates created using . The timestamp associated with the signature is the guarantee that the certificate was valid at the time of signing (hence it's validity period being hidden).

  1.0.5000.0
  2.0.0.0
- Method
  System.String Return the type of certificate. The string "X509". This always returns "X509". 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.Obsolete("Use the Issuer property.")
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] To be added To be added: an object of type 'byte []' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.Obsolete("Use the Subject property.")
- Method
  System.Byte[] To be added To be added: an object of type 'byte []' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] To be added To be added: an object of type 'byte []' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] Return the certificate serial number (a large integer) as an array of bytes. To be added: an object of type 'byte []' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String Return the certificate serial number (a large integer) as a string. To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Runtime.InteropServices.ComVisible(false)
  System.IntPtr To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Property
  System.String To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Property
  System.String To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.String Get a textual representation of the object. The string "System.Security.Cryptography.X509Certificates.X509Certificate". This is just a call to . 1.0.5000.0 2.0.0.0
- Method
  System.String `` Specify true for details, false for the class name. Get a textual representation of the object.

  If true, return most details from the X.509 certificate.

  If false, return the string "System.Security.Cryptography.X509Certificates.X509Certificate".

  Useful for debugging purpose only. The format of the string will change in future versions of the framework. 1.0.5000.0 2.0.0.0
System.Runtime.InteropServices.ComVisible(true)